import { AbstractAppConfig } from '../../../app.config';
import { HttpClient } from '@angular/common/http';
/**
 * `Oauth2Service` and `AuthService` cannot be merged as it creates a cyclic
 * dependency on `AuthService` through `HttpErrorService`.
 */
export declare class AuthService {
    private appConfig;
    private httpClient;
    private document;
    private static readonly VAULT_TTL_LEEWAY;
    private static readonly ACCESS_TOKEN;
    private static readonly ID_TOKEN;
    private tokensVault;
    constructor(appConfig: AbstractAppConfig, httpClient: HttpClient, document: any);
    signIn(): void;
    signOut(): void;
    getAccessToken(): string;
    getIdToken(): string;
    renewTokens(code?: any): Promise<void>;
    hasSession: () => Promise<boolean>;
}
